#254 Needs support for 1.5 generics

release_3.4
closed
5
2012-10-10
2004-10-13
Jon Schewe
No

Currently checkstyle doesn't support Java generics.
final Map<Long, String=""> sidMap = new
HashMap<Long, String="">();
yields
/net/users/jschewe/projects/argus/cvs-work/java/src/scyllarus/verter/SnortUnifiedVerter.java:67:11:
expecting "class", found 'Map'

I'm pretty sure this is already in the works, but wanted
to make sure it is. There is a 1.5 grammar on the antlr
website, so that should help.

Discussion

  • Logged In: YES
    user_id=746148

    This is a duplicate of 925070 (JDK 1.5 support (generics,
    foreach, ...))
    Also you may try main brach checkstyle from cvs, it already
    contains
    changes which should provide support for 1.5 features.
    If you find some problems feel free to file bugs :)